{% set timeRange = range(lowestIndex, maxLength) %}
<table>
  <tr class="day stickyHeader">
    {% for day in week %}
    <th data-day="{{ loop.index }}">
      <div class="dayName">{{ dayNames[loop.index0] }}</div>
    </th>
    {% endfor %}
  </tr>
  {% for hour in timeRange %}
  <tr>
    <th colspan="{{week.length}}" class="mobile-timeInfo"
    data-time="{{ lessonTimes[hour] }}">
      <div class="mobile-timeInfo-inner">
        <p class="number">{{ hour }}</p>
        <p class="time">{{ lessonTimes[hour] }}</p>
      </div>
    </th>
  </tr>
  <tr class="day">
    {% for day in week %}
    {%- set lessons = day[hour] -%}
    <td data-day="{{ loop.index }}" data-time="{{ lessonTimes[hour] }}">
      <div class="lessons">
        {%- for lesson in lessons -%}
        <div class="lesson subject{{ lesson.subject }}">

          <p class="subjectName">{{ lesson.subject }}</p>

          {% if lesson.optional -%}
            <p class="karel">👌🔥<br>(Karel Only)</p>
          {%- endif %}

          <div class="lessonPlace">
            <p>{{ lesson.teacher }}</p>
            <p class="room">{{ lesson.room }}</p>
          </div>

        </div>
        {%- endfor -%}
      </div>
    </td>
    {% endfor %}
  </tr>
  {% endfor %}
</table>
